unit RegresMultip;                                        {25.07.2011}
         // rgression multiple excution des calculs
         // le nombre de variables indpendantes est limites  10 (NbMaxvar-1)
         // plus la variable dpendante Y
interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RegresPoly, StdCtrls, FileCtrl, ExtCtrls, ComCtrls;

type
  TFCalculMultiple = class(TFCalculPoly)              // hritage de RegPoly
    procedure FormActivate(Sender: TObject); override;
    procedure BtChargeDonClick(Sender: TObject); override;
    procedure FlbListDonClick(Sender: TObject); override;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    NbVarI : integer;      // nbr de var. indpendantes (X)
    procedure InitDonnees; override;
    procedure P_AffDonPoly(Ext : string); override;
    procedure P_AffTitre; override;
    procedure P_CalculRegression; override; 
  end;

var
  FCalculMultiple: TFCalculMultiple;

implementation

uses RegCreatMul;
{$R *.dfm}

const CrLg = #13#10;

procedure TFCalculMultiple.P_CalculRegression;
begin
  inherited;
  BtGraphe.Visible := False;
end;

procedure TFCalculMultiple.BtChargeDonClick(Sender: TObject);
begin
//  inherited;
  FlbListDon.Visible := true;
  FlbListDon.Update;
end;

procedure TFCalculMultiple.FlbListDonClick(Sender: TObject);
begin
  inherited;
  StBFDon.SimpleText :=  ' CHOISIR une mthode de calcul';
end;

procedure TFCalculMultiple.FormActivate(Sender: TObject);
begin
//  inherited;
  ExtAff := '.mua';
  if BExecPoly then
     begin               // excution directe appel de la fiche
      BtChargeDon.Visible := True;
      BtChargeDon.SetFocus;
      StBFDon.SimpleText := '  Slectionner un fichier donnes';
    end
    else
      begin           // excution  partir RegCreatPol.BtExecCalculClick
        BtChargeDon.Visible := False;
        StBFDon.SimpleText := '  Traiter les donnes cres';
        FRegCreatMul.Visible := False;
        FRegCreatMul.Close;
      end;
end;

procedure TFCalculMultiple.InitDonnees;
begin
  inherited;
  Eddegre.Text := IntToStr(NbVar-1);
  BtGraphe.Visible := False;
end;

procedure TFCalculMultiple.P_AffDonPoly(Ext: string); // affichage du dernier
begin                                             // fich. rsultat s'il existe
  StlDonA.Clear;
  NficSauv := Copy(NficSauv, 1, Length(NficSauv)-4);
  if FileExists(NficSauv+'.mur') then StlDonA.LoadFromFile(NFicSauv+ '.mur')
     else StlDonA.LoadFromFile(NFicSauv+ '.mua');
  MemDon.Lines.Assign(StlDonA);          // affichage des donnes

end;

procedure TFCalculMultiple.P_AffTitre;
begin
  begin
    if BCalBrut then
    begin
      StlDonA.Add('                ANALYSE BRUTE ( ' + IntToStr(NbVar-1) +
                                                     ' var. indpendantes )');
      StlDonA.Add('   ');
    end
    else
    begin
      StlDonA.Add('                OPTIMISATION ');
      StlDonA.Add('   ');
    end;
  end;
end;


end.
