unit RegGraphePoly;                                {30/06/2011}
           // trace la dernire fonction regression polynomiale  partir des
           // coefficients du polynome
interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RegresPoly, StdCtrls, FileCtrl, ExtCtrls, ComCtrls;

type
  TFGraphPoly = class(TFCalculPoly)
    procedure FormActivate(Sender: TObject); override;
    procedure BtChargeDonClick(Sender: TObject); override;
    procedure FlbListDonClick(Sender: TObject); override;
    procedure BtGrapheClick(Sender: TObject); override;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  FGraphPoly: TFGraphPoly;

implementation

uses COURBAFF, RegAffich;

{$R *.dfm}

procedure TFGraphPoly.BtChargeDonClick(Sender: TObject);
begin
  FlbListDon.Visible := true;
  FlbListDon.Update;
  BtGraphe.Visible := True;   
end;

procedure TFGraphPoly.BtGrapheClick(Sender: TObject);   // slection d'un fichier
begin                                                  // coefficients  .coef
try           { RegresPoly.pas TFCalculPoly -> hritage }
  LectureCoefFonct;   
  LectParamXY; // Initialise Array Xtab, Ytab  partir de la liste de ch des
             //           donnees de la Regression Poly
  FAffGraph.BFDonPoly := False; // xecution de CourbAff.pas  partir de FGaphPoly
  FAffGraph.AfficheGraphe;
except
  on Eannuler do Exit;
end;
end;

procedure TFGraphPoly.FlbListDonClick(Sender: TObject);
begin
  ExtAff := 'pyr';
  inherited;
  BtModDeg.Visible := False;
  StBFDon.SimpleText := '   ';
  BtGraphe.SetFocus;
end;

procedure TFGraphPoly.FormActivate(Sender: TObject);
begin
//  inherited;
  BtChargeDon.SetFocus;
  StBFDon.SimpleText := '  Charger les Donnes et Slectionner un fichier ';
end;

end.
